En este artículo os mostramos como solucionar un error que puede sucedernos al actualizar Magento 2.1.5 a Magento 2.1.6.

A nosotros ya nos ha pasado y te contamos como solucionarlo.

Síntomas del Error: Invalid Credentials https://repo.magento.com/packages.json

  • Al intentar actualizar el Magento 2.1.5 a través de cli con composer nos aparece el siguiente error:

composer require magento/product-community-edition 2.1.6 –no-update

composer update

Nos aparece en pantalla el siguiente error:

Invalid credential for ‘https://repo.magento.com/packager.json’, nos indica que las credenciales para actualizar són erróneas.

¿Cómo solucionar el error de Invalid Credentials al actualizar Magento 2.1.x?

Para solucionar el tema de las credenciales, tenemos que acceder primero al Marketplace de Magento. Tendremos que registrarnos si és que no lo estamos aún.

Entramos en My Account > My Access Keys

Creamos unas nuevas claves, en caso de tener unas podemos utilizar las que ya tengamos.

Un vez tengamos las claves, vamos a acceder por SSH a nuestra instalación de Magento 2, y nos situamos a la carpeta raíz.

Ejectuamos els siguiente comando para actualizar las claves:

composer global config http-basic.repo.magento.com <public_key> <private_key>

A continuación volvemos a ejecutar la actualización:

composer update

Ahora la instalación continua sin problemas y finaliza correctamente.

Espero que os haya solucionado el problema, y recordad: NOS VEMOS POR LAS REDES…